%global srcname parsedatetime
%global py3_prefix python%{python3_pkgversion}


%bcond_without tests

Name:           python-%{srcname}
Version:        2.5
Release:        1%{?dist}
Summary:        Parse human-readable date/time strings in Python

License:        ASL 2.0
URL:            https://github.com/bear/%{srcname}
Source0:        https://github.com/bear/%{srcname}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  %{py3_prefix}-devel
BuildRequires:  %{py3_prefix}-setuptools
%if %{with tests}
BuildRequires:  %{py3_prefix}-pytest
%endif

%description
parsedatetime is a python module that can parse human-readable date/time\
strings.


%package -n     %{py3_prefix}-%{srcname}
Summary:        Parse human-readable date/time strings in Python
%{?python_provide:%python_provide %{py3_prefix}-%{srcname}}


%description -n %{py3_prefix}-%{srcname}
parsedatetime is a python module that can parse human-readable date/time
strings.

%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install
# It makes no sense to ship all these tests in the package
# just use them during the build
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/tests

%check
%if %{with tests}
py.test-3 -x tests/*.py
%endif

%files -n %{py3_prefix}-%{srcname}
%license LICENSE.txt
%doc AUTHORS.txt CHANGES.txt README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info

%changelog
* Mon Dec 02 2019 Felix Schwarz <fschwarz@fedoraproject.org> 2.5-1
- initial package for EPEL 8

